<?php

class pp_ed_views_handler_thumbnail extends views_handler_field_node_link {
  function render($values) {
    $nid = $values->{$this->aliases['nid']};
    $node = node_load(array('nid' => $nid));
    if ($node->nid) {
      if ($node->type == 'ifimage') {
        $text = pp_image_render($node, 'square');
        $text = l($text, "pp_ed/insert/ifimage/insert/$nid", array('html' => TRUE));
      }
      else if ($node->type == 'media') {
        // Scale media to a width of 150
        $width = 150;
        $height = ($node->field_height[0]['value'] * $width) / $node->field_width[0]['value'];
        $text = pp_media_render($node, array('width' => $width, 'height' => $height));
        // Don't bother putting a link around media files, the results are undefined. 
        $text = '<div class="pp_media">' . $text . '</div>';
      }
      return $text;
    }
  }
}
